
<script src="js/minicart.js"></script>
<script>
        w3ls.render();

        w3ls.cart.on('w3sb_checkout', function (evt) {
        	var items, len, i;

        	if (this.subtotal() > 0) {
        		items = this.items();

        		for (i = 0, len = items.length; i < len; i++) {
        		}
        	}
        });
    </script>





<div class="shop-content" ng-controller="HomeCtrl">
    <div class="container">
        <div class="row">
            <div class="col-md-3 shop-sidebar">
                <div class="widget widget_product_categories">
                    <h3>Product Categories</h3>
                    <div class="clearfix"></div>
                    <ul class="product-categories" >
                        <li ng-repeat="product in subcatProductdetails[0].SubCategorieslist"><i class="icon-circle-plus"></i><a ui-sref="electronicsingle({singleproduct:product.productName})">{{product.productName}}</a></li>
                        <!--<li><i class="icon-circle-plus"></i> <a href="#">Jacket</a></li>
                        <li><i class="icon-circle-plus"></i> <a href="#">Shirts</a></li>
                        <li><i class="icon-circle-plus"></i> <a href="#">Posters</a></li>
                        <li><i class="icon-circle-plus"></i> <a href="#">Leather</a></li>
                        <li><i class="icon-circle-plus"></i> <a href="#">Shoes</a></li>-->
                    </ul>
                </div>
                <div class="widget" ng-controller="valueController">
                    <h3>Price Filter</h3>
                    <div class="s_range">
                        <!--<div id="sliderRange"></div>-->
                        <div class="range_v">
                           <!-- <div id="sliderRange" class="ui-slider ui-slider-horizontal ui-widget ui-widget-content ui-corner-all"  aria-dsabled="false" ng-model="value" ng-min="min" ng-max="max">
                                <div class="ui-slider-range ui-widget-header ui-corner-all" style="left: 23.2%; "></div>
                                <a class="ui-slider-handle ui-state-default ui-corner-all" href="#" style="left:23.2%"></a>
                                <a class="ui-slider-handle ui-state-default ui-corner-all" href="#" style="left:80%"></a>
                            </div>-->
                            <input type="range" name="range" ng-model="value" ng-min="min" ng-max="max">
                            <br/>
                            <span>Price:</span>
                            <input type="number" ng-model="value">
                            <input type="number" id="price1" name="price1" title=""  ng-model="min" class="input" />
                            <div class="range_sep"></div>
                            <input type="number" id="price2" name="price2" title=""  ng-model="max" class="input" />
                            {{myForm.range.$valid}}
                            {{myForm.range.$error}}
                        </div>
                    </div>
                    <a class="filter-btn button btn-small"  href="#">Filter</a>

                    <div class="clearfix"></div>
                </div>
                <!--<form name="myForm" ng-controller="valueController">
                    Model as range: <input type="range" name="range" ng-model="value" ng-min="min" ng-max="max">
                    <hr>
                    Model as number: <input type="number" ng-model="value"><br>
                    Min: <input type="number" ng-model="min"><br>
                    Max: <input type="number" ng-model="max"><br>
                    value = <code>{{value}}</code><br/>
                    myForm.range.$valid = <code>{{myForm.range.$valid}}</code><br/>
                    myForm.range.$error = <code>{{myForm.range.$error}}</code>
                </form>-->

                <div class="widget widget_popular_products">
                    <h3>Popular items</h3>
                    <ul ng-repeat="product in subcatProductdetails[0].SubCategorieslist">
                        <li >
                            <div class="product-thumbs {{productdatadetails.productImage}}"  ng-if="$index<3">
                                <img src="data:image/png;base64,{{productdatadetails.productImage}}" style="height:50px; width:50px;">
                            </div>
                            <div class="product-post-info">
                                <h5><a ui-sref="electronicsingle({singleproduct:product.productName})" ng-if="$index<3">{{product.productName}}</a></h5>
                                <p ng-if="$index<3">{{product.productPrice}}</p>
                            </div>
                        </li>
                       <!-- <li>
                            <div class="product-thumbs">
                                <img src="../products/images/shop/4.jpg" alt=""/>
                            </div>
                            <div class="product-post-info">
                                <h5><a href="#">Army jacket</a></h5>
                                <p>&pound; 39.99</p>
                            </div>
                        </li>
                        <li>
                            <div class="product-thumbs">
                                <img src="../products/images/shop/2.jpg" alt=""/>
                            </div>
                            <div class="product-post-info">
                                <h5><a href="#">Leather bag</a></h5>
                                <p>&pound; 119.99</p>
                            </div>
                        </li>
                        <li>
                            <div class="product-thumbs">
                                <img src="../products/images/shop/7.jpg" alt=""/>
                            </div>
                            <div class="product-post-info">
                                <h5><a href="#">Checked Wallet</a></h5>
                                <p>&pound; 41.00</p>
                            </div>
                        </li>-->
                    </ul>
                </div>
            </div>
            <div class="col-md-9">
                <div class="row">
                    <div class="sorter">
                        <div class="col-xs-12 col-md-5">
                            <div class="sort1">
                                <span>Sort by:</span>
                                <select class="custom">
                                    <option value="">Popularity</option>
                                    <option value="">Latest</option>
                                    <option value="">Best sellers</option>
                                    <option value="">Price Low to High</option>
                                    <option value="">Price High to Low</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-12 col-md-2">
                            <div class="layout-modes" style="margin-left:-10px;">
                                Page 1 of 6
                            </div>
                        </div>
                        <div class=" col-xs-12 col-md-5">
                            <div ng-controller="setController">
                                <form name="myForm">
                                    per page
                                    <select name="mySelect" id="mySelect"
                                            ng-options="option.name for option in data.availableOptions track by option.id"
                                            ng-model="data.selectedOption"></select>
                                </form>
                                <!--<tt>option = {{data.selectedOption}}</tt><br/>-->
                            </div>
                        </div>
                    </div>
                </div>
                <ul class="shop-grid" ng-repeat="product in subcatProductdetails[0].SubCategorieslist">
                    <li>
                        <div class="product">
                            <div class="text-center">
                                <div class="product-thumbnail {{product.productImage}}">
                                    <img src="data:image/png;base64,{{product.productImage}}" style="height:300px; width:300px;">
                                    <!--<img src="../products/images/shop/1.jpg" class="img-responsive" alt=""/>-->
                                    <div class="product-overlay">
                                        <a class="product-overlay-link" href="#"><i class="fa fa-search-plus"></i></a>
                                        <a class="product-overlay-cart" href="#"><i class="fa fa-cart-plus"></i></a>
                                    </div>
                                </div>
                                <!--{{product}}-->
                                <h3 class="product-title"><a ui-sref="electronicsingle({singleproduct:product.productName})">{{product.productName}}</a></h3>
                                <!--<a ui-sref="new-qs({ portfolioId: 1 })"></a>-->

                                <span class="product-price"> {{product.productPrice}}</span>
                                <a href="#" class="button btn-md btn-radius btn-center color2 btn-radius add_to_cart_button">Add to cart</a>
                            </div>
                        </div>
                    </li>
                    <!--<li>
                        <div class="product">
                            <span class="badge blue"><span>50%</span><br>Off</span>
                            <div class="text-center">
                                <div class="product-thumbnail">
                                    <img src="../products/images/shop/2.jpg" class="img-responsive" alt=""/>
                                    <div class="product-overlay">
                                        <a class="product-overlay-link" href="#"><i class="fa fa-search-plus"></i></a>
                                        <a class="product-overlay-cart" href="#"><i class="fa fa-cart-plus"></i></a>
                                    </div>
                                </div>
                                <h3 class="product-title"><a href="#">Leather bag</a></h3>
                                <span class="product-price">&pound; 119.99</span>
                                <a href="#" class="button btn-md btn-radius btn-center color2 btn-radius add_to_cart_button">Add to cart</a>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="product">
                            <div class="text-center">
                                <div class="product-thumbnail">
                                    <img src="../products/images/shop/3.jpg" class="img-responsive" alt=""/>
                                    <div class="product-overlay">
                                        <a class="product-overlay-link" href="#"><i class="fa fa-search-plus"></i></a>
                                        <a class="product-overlay-cart" href="#"><i class="fa fa-cart-plus"></i></a>
                                    </div>
                                </div>
                                <h3 class="product-title"><a href="#">Checked Shirt</a></h3>
                                <span class="product-price">&pound; 39.99</span>
                                <a href="#" class="button btn-md btn-radius btn-center color2 btn-radius add_to_cart_button">Add to cart</a>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="product">
                            <span class="badge red">Hot</span>
                            <div class="text-center">
                                <div class="product-thumbnail">
                                    <img src="../products/images/shop/4.jpg" class="img-responsive" alt=""/>
                                    <div class="product-overlay">
                                        <a class="product-overlay-link" href="#"><i class="fa fa-search-plus"></i></a>
                                        <a class="product-overlay-cart" href="#"><i class="fa fa-cart-plus"></i></a>
                                    </div>
                                </div>
                                <h3 class="product-title"><a href="#">Army jacket</a></h3>
                                <span class="product-price">&pound; 39.99</span>
                                <a href="#" class="button btn-md btn-radius btn-center color2 btn-radius add_to_cart_button">Add to cart</a>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="product">
                            <div class="text-center">
                                <div class="product-thumbnail">
                                    <img src="../products/images/shop/5.jpg" class="img-responsive" alt=""/>
                                    <div class="product-overlay">
                                        <a class="product-overlay-link" href="#"><i class="fa fa-search-plus"></i></a>
                                        <a class="product-overlay-cart" href="#"><i class="fa fa-cart-plus"></i></a>
                                    </div>
                                </div>
                                <h3 class="product-title"><a href="#">Cut shirts</a></h3>
                                <span class="product-price">&pound; 73.00</span>
                                <a href="#" class="button btn-md btn-radius btn-center color2 btn-radius add_to_cart_button">Add to cart</a>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="product">
                            <div class="text-center">
                                <div class="product-thumbnail">
                                    <img src="../products/images/shop/6.jpg" class="img-responsive" alt=""/>
                                    <div class="product-overlay">
                                        <a class="product-overlay-link" href="#"><i class="fa fa-search-plus"></i></a>
                                        <a class="product-overlay-cart" href="#"><i class="fa fa-cart-plus"></i></a>
                                    </div>
                                </div>
                                <h3 class="product-title"><a href="#">Fashion Jacket</a></h3>
                                <span class="product-price">&pound; 355.99</span>
                                <a href="#" class="button btn-md btn-radius btn-center color2 btn-radius add_to_cart_button">Add to cart</a>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="product">
                            <span class="badge blue"><span>8%</span><br>Off</span>
                            <div class="text-center">
                                <div class="product-thumbnail">
                                    <img src="../products/images/shop/7.jpg" class="img-responsive" alt=""/>
                                    <div class="product-overlay">
                                        <a class="product-overlay-link" href="#"><i class="fa fa-search-plus"></i></a>
                                        <a class="product-overlay-cart" href="#"><i class="fa fa-cart-plus"></i></a>
                                    </div>
                                </div>
                                <h3 class="product-title"><a href="#">Checked Wallet</a></h3>
                                <span class="product-price">&pound; 41.00</span>
                                <a href="#" class="button btn-md btn-radius btn-center color2 btn-radius add_to_cart_button">Add to cart</a>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="product">
                            <div class="text-center">
                                <div class="product-thumbnail">
                                    <img src="../products/images/shop/8.jpg" class="img-responsive" alt=""/>
                                    <div class="product-overlay">
                                        <a class="product-overlay-link" href="#"><i class="fa fa-search-plus"></i></a>
                                        <a class="product-overlay-cart" href="#"><i class="fa fa-cart-plus"></i></a>
                                    </div>
                                </div>
                                <h3 class="product-title"><a href="#">Skull Poster</a></h3>
                                <span class="product-price">&pound; 7.99</span>
                                <a href="#" class="button btn-md btn-radius btn-center color2 btn-radius add_to_cart_button">Add to cart</a>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="product">
                            <div class="text-center">
                                <div class="product-thumbnail">
                                    <img src="../products/images/shop/9.jpg" class="img-responsive" alt=""/>
                                    <div class="product-overlay">
                                        <a class="product-overlay-link" href="#"><i class="fa fa-search-plus"></i></a>
                                        <a class="product-overlay-cart" href="#"><i class="fa fa-cart-plus"></i></a>
                                    </div>
                                </div>
                                <h3 class="product-title"><a href="#">Sport Shoes</a></h3>
                                <span class="product-price">&pound; 140.00</span>
                                <a href="#" class="button btn-md btn-radius btn-center color2 btn-radius add_to_cart_button">Add to cart</a>
                            </div>
                        </div>
                    </li>-->
                </ul>
                {{productdatadetails.productImage}}

                <!--<div class="row">-->
                    <!--<div class="sorter">-->
                        <!--<a dir-paginate="product in product|filter:searchtext|itemsPerPage:5"></a>-->
                            <!--<div class="col-md-12">-->
                            <!--<ul class="shop_pn">-->
                                <!--<li><a href="#"><i class="fa fa-angle-left"></i></a></li>-->
                                <!--<li><a class="active" href="#">1</a></li>-->
                                <!--<li><a href="#">2</a></li>-->
                                <!--<li><a href="#">3</a></li>-->
                                <!--<li><a href="#">4</a></li>-->
                                <!--<li><a href="#">5</a></li>-->
                                <!--<li><a href="#"><i class="fa fa-angle-right"></i></a></li>-->
                            <!--</ul>-->
                        <!--</div>-->
                    <!--</div>-->
                <!--</div>-->
                <dir-pagination-controls class="paging"
                                         max-size="3"
                                         direction-links="true"
                                         boundary-links="true" >
                </dir-pagination-controls>
            </div>
        </div>
    </div>
</div>

<script src="../products/js/jquery.js"></script>

<!-- Plugins -->
<script src="../products/js/bootstrap.min.js"></script>
<script src="../products/js/menu.js"></script>
<script src="../products/js/owl-carousel/owl.carousel.min.js"></script>
<script src="../products/js/rs-plugin/js/jquery.themepunch.tools.min.js"></script>
<script src="../products/js/rs-plugin/js/jquery.themepunch.revolution.min.js"></script>
<script src="../products/js/jquery.easing.min.js"></script>
<script src="../products/js/isotope/isotope.pkgd.js"></script>
<script src="../products/js/jflickrfeed.min.js"></script>
<script src="../products/js/tweecool.js"></script>
<script src="../products/js/flexslider/jquery.flexslider.js"></script>
<script src="../products/js/easypie/jquery.easypiechart.min.js"></script>
<script src="../products/js/jquery-ui.js"></script>
<script src="../products/js/jquery.appear.js"></script>
<script src="../products/js/jquery.inview.js"></script>
<script src="../products/js/jquery.countdown.min.js"></script>
<script src="../products/js/jquery.sticky.js"></script>
<script src="../products/js/magnific-popup/jquery.magnific-popup.min.js"></script>
<!--<script src="../products/js/hippo-off-canvas.js"></script>-->
<script src="../products/js/main.js"></script>
